import '@/styles/globals.css';
import ThemeParent from '@/hooks/useTheme';
import Global from '@/layout/GlobalLayout';
import PaginationProvider from '@/hooks/usePagination';
import FilterComponent from '@/hooks/Filter';
interface LayoutProps {
  children: React.ReactNode;
}

export default function RootLayout({ children }: LayoutProps) {
  return (
    <html>
      <head>
        <meta content="width=device-width, initial-scale=1" name="viewport" />
        <link rel="icon" href="/favicon.ico" />
      </head>
      <body>
        <ThemeParent>
          <PaginationProvider>
            <FilterComponent>
          <Global>
          {children}
          </Global>
            </FilterComponent>
          </PaginationProvider>
        </ThemeParent>
      </body>
    </html>
  );
}
