'use client';
import { blog_data } from "@/utils/Blog_data";
import { useState,createContext } from "react";
type FilterContext = {
    data:{
    id: number;
    img: string;
    title: string;
    description: string;
    author: string;
    authorImg: string;
    date: Date;
    }[],
    handleFilter:(search:string)=>void
}
export const FilterContext = createContext<FilterContext>({
    data: blog_data,
    handleFilter:()=>{}
})
interface FilterComponentProps{
    children: React.ReactNode;
}
const FilterComponent:React.FC<FilterComponentProps> = ({children}) => {
    const [filter, setfilter] = useState(blog_data);
const handleFilter = (search: string) => {
    if (search.trim() === "") {
        setfilter(blog_data);
    } else {
        setfilter(blog_data.filter((data) => data.title.toLowerCase().includes(search.toLowerCase())));
    }
}
    return (<FilterContext.Provider value={{
        data: filter,
        handleFilter
    }}>{children}</FilterContext.Provider> );
}
 
export default FilterComponent;