'use client';
import React, { createContext, useState } from "react";
type paginationContextTypes = {
    start: number;
    end: number;
    size: number;
    currentPage: number;
    handleChangePage: (page: number) => void;
}
interface usePaginationProps {
    children: React.ReactNode;
}
    
export const paginationContext = createContext<paginationContextTypes>({
  start: 1,
    end: 1,
    size: 1,
  currentPage: 1,
  handleChangePage: () => {},
});
const PaginationProvider:React.FC<usePaginationProps> = ({children}) => {
    const [currentPage, setcurrentPage] = useState(1);
    const size = 6;
    const [start, setstart] = useState(0);
    const [end, setend] = useState(size);
    const handleChangePage = (page: number) => {
        setcurrentPage(page);
        setstart((page - 1) * size);
        setend(page * size);
    }
    return (
        <paginationContext.Provider value={{
        start,
        end,
        size,
        currentPage,
        handleChangePage,
    }}>
    {children}
        </paginationContext.Provider>
    );
}
 
export default PaginationProvider;