'use client';
import React, {  createContext, useState } from "react";
interface useThemeProps{
    children: React.ReactNode
}
type ThemeContextType = {
    theme: 'dark' | 'light';
    ToggleTheme: () => void;
};

// Create the context with a default value
export const ThemeContext = createContext<ThemeContextType | null>(null);
const ThemeParent: React.FC<useThemeProps> = ({ children }) => {
    const [theme, setTheme] = useState<'light' | 'dark'>('dark');
    const ToggleTheme = () => {
        if (theme === 'light') setTheme('dark');
        else if (theme === 'dark') setTheme('light');
    }
    return (
        <ThemeContext.Provider value={{
          theme,
          ToggleTheme,
      }} >
          {children}
    </ThemeContext.Provider>
  )
}

export default ThemeParent