'use client';
import Navigation from "@/components/layout/Navigation/Navigation";
import { FilterContext } from "@/hooks/Filter";
import { ThemeContext } from "@/hooks/useTheme";
import React, { useContext } from "react";
interface GlobalLayoutProps{
    children: React.ReactNode;
}
const Global:React.FC<GlobalLayoutProps> = ({children}) => {
    const ThemeState = useContext(ThemeContext);
    const FilterState = useContext(FilterContext);
    return (
        <div className={`${ThemeState?.theme} `}>
            <div className={`bg-light dark:bg-black min-h-screen`}>
                <Navigation onSearch={FilterState.handleFilter}
                onChangeTheme={ThemeState ? ThemeState?.ToggleTheme : () => { }} />
            {children}
        </div>
        </div>
        );
}
 
export default Global;