'use client'
import Heading from "@/components/base/Heading/Heading";
import BlogCard from "@/components/Top-Level/blog-card/BlogCard";
import Pagination from "@/components/Top-Level/pagination/pagination";
import { FilterContext } from "@/hooks/Filter";
import { paginationContext } from "@/hooks/usePagination";
import { useRouter } from "next/navigation";
import { useContext, useEffect, useState } from "react";

const Home = () => {
    const [isMounted, setisMounted] = useState(false)
    const { size, currentPage, start, end, handleChangePage } = useContext(paginationContext);
    const router = useRouter();
    const {data} = useContext(FilterContext);
    useEffect(() => {
        setisMounted(true);
    }, [])
    
    if (!isMounted) {
        return null
    }
    return (
                <div className="max-w-[1100px] mx-auto px-2 ">
                    <Heading /> 
            <div className="flex flex-wrap gap-6 w-full dark:bg-black mt-4">
                {
                    data.length === 0 && <h2 className=" capitalize dark:text-white text-center w-full text-2xl font-semibold py-5">no Data found</h2>
                }
                    {data?.slice(start,end).map((data) => (
                        <div key={data.id} className="flex-grow sm:flex-grow-0 sm:w-[calc(50%-1rem)]
                        lg:w-[calc(33.33%-1rem)] *:sm:max-w-full *:h-full">
                            <BlogCard {...data} handleClick={() => {
                                router.push(`/blog/${data.id}`)
                        }}/>
                        </div>
                    ))}
                    </div>
                    <center className="w-full p-6 flex justify-center ">
                <Pagination size={Math.ceil(data
                    .length / size)} onChange={handleChangePage} currentPage={currentPage} />
                    </center>
                </div >
            
    );
} 
 
export default Home;